GNU Radio's ADAPT Package

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
gr::adapt::nlms_filter_cc Class Referenceabstract

Normalized Least Mean Squares Adaptive Filter (complex in/out) More...

`#include <nlms_filter_cc.h>`

Inheritance diagram for gr::adapt::nlms_filter_cc:
[legend]

## Public Types
typedef boost::shared_ptr< nlms_filter_cc > | sptr

## Public Member Functions
virtual void | set_taps (const std::vector< gr_complex > &taps)=0
virtual const std::vector< gr_complex > & | get_taps ()=0
virtual float | get_mu () const =0
virtual void | set_mu (float mu)=0
virtual unsigned | get_skip () const =0
virtual void | set_skip (unsigned skip)=0
virtual bool | get_adapt () const =0
virtual void | set_adapt (bool adapt)=0
virtual bool | get_bypass () const =0
virtual void | set_bypass (bool bypass)=0
virtual bool | get_reset () const =0
virtual void | set_reset (bool reset)=0

## Static Public Member Functions
static sptr | make (bool first_input, int num_taps, float mu, unsigned skip, unsigned decimation, bool adapt, bool bypass, bool reset)

## Protected Member Functions
virtual gr_complex | error (const gr_complex &desired, const gr_complex &out)=0
virtual void | update_tap (gr_complex &tap, const gr_complex &in)=0

## Detailed Description

Normalized Least Mean Squares Adaptive Filter (complex in/out)

This block implements an NLMS-based adaptive filter.

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<nlms_filter_cc> gr::adapt::nlms_filter_cc::sptr

## Member Function Documentation

## ◆ error()

virtual gr_complex gr::adapt::nlms_filter_cc::error | ( | const gr_complex & | desired,
|  | const gr_complex & | out
| ) |  |
| protected pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ get_adapt()

virtual bool gr::adapt::nlms_filter_cc::get_adapt | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ get_bypass()

virtual bool gr::adapt::nlms_filter_cc::get_bypass | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ get_mu()

virtual float gr::adapt::nlms_filter_cc::get_mu | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ get_reset()

virtual bool gr::adapt::nlms_filter_cc::get_reset | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ get_skip()

virtual unsigned gr::adapt::nlms_filter_cc::get_skip | ( |  | ) | const
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ get_taps()

virtual const std::vector< gr_complex > & gr::adapt::nlms_filter_cc::get_taps | ( |  | ) |
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ make()

static sptr gr::adapt::nlms_filter_cc::make | ( | bool | first_input,
|  | int | num_taps,
|  | float | mu,
|  | unsigned | skip,
|  | unsigned | decimation,
|  | bool | adapt,
|  | bool | bypass,
|  | bool | reset
| ) |  |
| static

Make a NLMS adaptive filter

Parameters

  first_input | Specifies whether first input is reference or error signal (bool)
  num_taps | Number of taps in the filter (int)
  mu | Gain of the update loop (float)
  skip | Specifies how many samples are skipped between successive filter updates (unsigned)
  decimation | Decimation rate of the filter (unsigned)
  adapt | Controls whether filter taps are being updated (bool)
  bypass | Bypass filter (bool)
  reset | Reset filter taps (bool)

## ◆ set_adapt()

virtual void gr::adapt::nlms_filter_cc::set_adapt | ( | bool | adapt | ) |
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ set_bypass()

virtual void gr::adapt::nlms_filter_cc::set_bypass | ( | bool | bypass | ) |
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ set_mu()

virtual void gr::adapt::nlms_filter_cc::set_mu | ( | float | mu | ) |
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ set_reset()

virtual void gr::adapt::nlms_filter_cc::set_reset | ( | bool | reset | ) |
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ set_skip()

virtual void gr::adapt::nlms_filter_cc::set_skip | ( | unsigned | skip | ) |
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ set_taps()

virtual void gr::adapt::nlms_filter_cc::set_taps | ( | const std::vector< gr_complex > & | taps | ) |
| pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

## ◆ update_tap()

virtual void gr::adapt::nlms_filter_cc::update_tap | ( | gr_complex & | tap,
|  | const gr_complex & | in
| ) |  |
| protected pure virtual

Implemented in gr::adapt::nlms_filter_cc_impl.

The documentation for this class was generated from the following file:

- nlms_filter_cc.h